/*
mod sshterm;
use sshterm::SshTerminal;

mod server;
use server::AppServer;
*/

use std::{fs, path::PathBuf};

use rmmo::*;

fn main() -> Result<(), anyhow::Error> {
    println!("Hello, World!");
    if let Ok(content) = fs::read_to_string(PathBuf::from("tiles.json")) {
        let index = serde_json::from_str::<TileIndex>(&content)?;
        println!("Located {} tiles", index.tiles.len());
        for (k, t) in index.tiles.iter() {
            if let Some(desc) = &t.description {
                println!("\"{}\" = '{}' {} \"{}\"", k, t.symbol, t.color, desc);
            } else {
                println!("\"{}\" = '{}' {}", k, t.symbol, t.color);
            }
        }
    } else {
        let index = TileIndex::new();
        let content = serde_json::to_string_pretty(&index)?;
        fs::write(PathBuf::from("tiles.json"), content)?;
        println!("Created {} tiles", index.tiles.len());
    }
    Ok(())
}
